libdevice User's Guide (PDF) - v10.1.168 (older) - Last updated April 24, 2019 - Send Feedback

## 3.108. __nv_fast_sincosf

Prototype:

    void @__nv_fast_sincosf(float %x, float* %sptr, float* %cptr)

Description:

Calculate the fast approximate of sine and cosine of the first input argument `x` (measured in radians). The results for sine and cosine are written into the second argument, `sptr`, and, respectively, third argument, `zptr`.

Returns:

- none

Note:

For accuracy information for this function see the CUDA C Programming Guide, Appendix D.2, Table 9.

Denorm input/output is flushed to sign preserving 0.0.

Library Availability:

Compute 2.0: Yes

Compute 3.0: Yes

Compute 3.5: Yes